Magic Launcher Tool for Minecraft 1.4.2




 

The Magic Launcher is a new Minecraft launcher which can load mods dynamically without changing or patching the minecraft.jar.

No more mod installation problems, just select your mods and enjoy.

Magic Launcher 2 Magic Launcher Tool for Minecraft 1.4.2

Magic Launcher 3 Magic Launcher Tool for Minecraft 1.4.2

Magic Launcher 4 Magic Launcher Tool for Minecraft 1.4.2

Magic Launcher 5 Magic Launcher Tool for Minecraft 1.4.2

Magic Launcher 6 Magic Launcher Tool for Minecraft 1.4.2

Magic Launcher 7 Magic Launcher Tool for Minecraft 1.4.2

Features:

  • Minecraft
    • Selectable minecraft.jar
    • Automatic version detection
    • Configurable window size, also maximized
    • Selectable minecraft folder
    • Selectable java executable
    • Java memory limit
    • Java custom parameters
    • Show error log
    • Remember user
    • Configuration profiles
  • Mods
    • Load mods dynamically without changing minecraft.jar
    • META-INF does not have to be deleted
    • Automatic mod compatibility checking
    • External mods detection and compatibility checking
    • Shortcut to external mods folder
    • Configurable external mods
    • Automatic mod requirements checking (ModLoader, ModLoaderMP, Forge, GuiAPI)
  • Design
    • Minecraft style

Changelogs:

v1.0.0

  • Detects Forge mods by checking for mcmod.info, updated FML detection, fixed Twitter feeds after twitter removed the old RSS feeds, default memory limit set to 512M to avoid swapping to disk

MagicLauncher 1.0.0 (better Forge mod detection, fixed Twitter feeds, default memory limit 512M)

Windows
button Magic Launcher Tool for Minecraft 1.4.2

Mac
button Magic Launcher Tool for Minecraft 1.4.2

Windows/Mac/Linux
button Magic Launcher Tool for Minecraft 1.4.2

5 Comments

  1. [...] 1) Download and start the Magic Launcher [...]

  2. Witches and More Mod for Minecraft 1.4.6/1.4.5 « My Blog
    December 25, 2012, 12:36 am

    [...] suggest using Magic Launcher. Once you learn to use it, it can make playing with mods [...]

  3. [...] this a 64×64 texture pack you will need to install OptiFine with Magic Launcher. If you have downloaded Magic Launcher and Optifine * Standard version, simply start [...]

  4. [...] this a 64×64 texture pack you will need to install OptiFine with Magic Launcher. If you have downloaded Magic Launcher and Optifine * Standard version, simply start [...]

  5. […] this a 64×64 texture pack you will need to install OptiFine with Magic Launcher. If you have downloaded Magic Launcher and Optifine * Standard version, simply start […]

Leave a Reply